# date +%Y.%m.%d

2010.10.18
	* exec_file: ignore not existant test files (like emacs .#...#)
	* TypedList.__init__: optional initial values argument
	* Condition inherites from 'object'
	* FileContains.before: if file is stdout does not requires create
	* exists condition in its own
	* NEW ConditionDecorator.__eq__: Same class and same children
	* Task: NEW 'loglevel' key per logging by task
	* Task: NEW 'wrap_outs' attribute to ask out wrapping from subclasses
	* NEW Task.is_running() method
	* NEW Task.terminate() method
	* CompositeTask.__init__: children is now a TypedList(Task)
	* TaskCase.create_gen_list -> TaskCase.save_dirty_filelist
	* Reporter.build_task: 'na' for 'retcode' in not proccess tasks
	* atheist.clean_generated -> atheist.remove_generated
	* ConfigFacade.get_item -> ConfigFacade.get
	* NEW Manager._check_option_conflicts_and_ilegals()
	* utils.IniParser is replaced by iniparse.INIConfig
	* NEW cmdline and config option 'ignore' to exclude files by pattern
	* NEW cmdline option 'disable-bar' to disable progress-bar
	* atheist/utils.py: remove old code, now in pyarco
	* plugins/doctest: redirect output using Task.wrap_outs
	* NEW plugins/manual_repeat_runner: --again cmdline option
	* plugins/task_management/TaskRunning: use Task.is_running() instead
	* of 'ps' attribute.
	* plugins/unittest: now uses Task.wrap_outs
	* plugins/until_fail_runner: it is incompatible with --keep-going

2010.08.22
	* atheist: ConfigFacade for optparse and iniparse.
	* pyarco.Logging: lazy connect for JabberHandler.

2010.08.21
	* atheist: New base class 'Reporter' to implement pluggable reporters.
	* atheist: ConsoleReporter is the built-in reporter.
	* atheist: New class 'FailReporter' for reporters that are
	           executed only when some task fails.
	* atheist: JabberReporter and SMPT_Reporter are now pluggins
	           (inherit from FailReporter)
	* atheist: tree_draw() is now in atheist/utils.py
	* atheist:
	* pyarco.Logging: bugfix: needs to import 'string' and 'types'


2010.08.15
	* atheist: New --version option.
	* atheist: Execution control in athcmd goes to the Runner class.
	* atheist: mgr.abort is now a method, with observers.
	* atheist: New method Plugin.config().
	* atheist: argparser definition from athcmd.py to atheist/manager.py
	* atheist: new function create_logger in log.py
	* atheist: @public decorator for function callable form .test files.
	* atheist: Avoid extra attributes in Manager.config.
	* atheist: Random seed with --random=0
	* atheist: New NotifyRunner (as plugin)
	* atheist: New UntilFailRunner (as plugin)
	* atheist: help.test does not able to plugin options.
	* pyarco.UI: New method ProgressBar.reset()

2010.07.17
	* pyarco.Type: SortedDict may be init from a list o tuples
	* pyarco.Type: SortedDict accepts a 'default' argument in constructor
	* pyarco.Pattern: Flyweight

2010.07.11
	* atheist: .gen accepts now a tuple of strings.
	* atheist: OpenPort condition goes to the new "net" plugin
	* atheist: OpenPort does not use nmap, use Python sockets instead.
	* atheist: New key "dirty" for tasks.
	* atheist: New API function "temp_name()" to get temporary filenames inside the
	.test file

2010.07.09
	* pyarco: Removing all ostream staff from pyarco/UI. Now only cout() and
	cout_config()
	* pyarco: UI.ProgressBar may be interrupted by a logger with listen_logger()
	* atheist: compath() is now a function with attributes instead of a
	singleton class.
	* atheist: Log is in gvar (global variables) module.
	* atheist: dirty-mode warnings about not removed files.

2010.07.08
	* atheist: fullbasedir and fulltestdir added

2010.07.05
	* Fixes in compath() for curdir.
	* atheist: Directories are now sorted at test loading.

2010.06.30
        * atheist: process_directory sorts subdirectories

2010.06.20
	* atheist: $dirname -> $testdir

2010.06.13
	* atheist: plugins/webtesting.py: WebTest using curl.
	* atheist: now works with python2.5

2010.05.23
	* pyarco: ostream class to make transparent the use of terminal color
	scaping
	* atheist logger is now on atheist/log.py
	* skip-setup is now "setup-hooks" (documentation and manpage changed)
	* pyarco: making Singleton thread-safe
	* pyarco: ProgressBar ETA estimation modified, now updates only one time
	per second

2010.05.22
* Multiple tasks may be checked with TaskFinished and TaskRunning.
* FileContains allow specify 'whole' content and 'strip' of file.
* New Task hierarchy.

2010.01.20
* Multiple task may be killed in TaskTerminator.

2009.11.03
* Minimal bug in the ConsoleSummaryRender.
* IniParser does not requires ".atheist".
* -f: show output only for failed tasks.

2009.11.02
* notifiers for console, jabber and mail (SMTP).
* Test -> Task
* argument 'check' to difference tests and non-tests

2009.10.06
* variable substitution in the "include" statement

2009.09.18
* "id" attributed renamed to "tid"
* 'tests/cmd_not_found.test' fixed
* condition stores its value whenever is executed

2009.09.14
* "id" duplicity is checked only within the TestCase instead of all the tests.



%%% Local Variables:
%%%   mode: flyspell
%%%   ispell-local-dictionary: "american"
%%% End:
